# $Revision: 1.95.2.9 $, $Date: 2008/08/05 14:49:23 $
%define	major	8.4
Summary:	Tool Command Language embeddable scripting language, with shared libraries
Summary(fr.UTF-8):	Tool Command Language, langage de script avec bibliothèques partagées
Summary(pl.UTF-8):	Tool Command Language - język skryptowy z bibliotekami dynamicznymi
Summary(ru.UTF-8):	Tool Command Language - встраиваемый язык скриптов
Summary(tr.UTF-8):	Tcl ile kullanılabilen betik dili
Summary(uk.UTF-8):	Tool Command Language - вбудовувана мова скриптів
Name:		tcl
Version:	%{major}.19
Release:	1
License:	BSD
Group:		Development/Languages/Tcl
Source0:	http://dl.sourceforge.net/tcl/%{name}%{version}-src.tar.gz
# Source0-md5:	ade2c033a7b545ee108f3fdfeb629fcf
Source1:	%{name}-pl-man-pages.tar.bz2
# Source1-md5:	dd3370f2b588763758787831a4bf48fc
Patch0:		%{name}-glibc21.patch
Patch3:		%{name}-opt.patch
Patch4:		%{name}-ac25x.patch
Patch5:		%{name}-mannames.patch
Patch6:		%{name}-soname_fix.patch
Patch7:		%{name}-norpath.patch
URL:		http://www.tcl.tk/
BuildRequires:	autoconf
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	readline-devel >= 5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_ulibdir	/usr/lib

%if "%{_libdir}" != "%{_ulibdir}"
%define		have_ulibdir	1
%endif

%description
Tcl is a simple scripting language that is designed to be embedded in
other applications. This package includes tclsh, a simple example of a
tcl application. Tcl is very popular for writing small graphical
applications because of the Tk widget set which is closely tied to it.

%description -l de.UTF-8
Tcl ist eine einfache Skriptsprache, die zur Ingegration in andere
Applikationen vorgesehen ist. Dieses Paket umfaßt tclsh, ein einfaches
Beispiel einer tcl-Applikation. Tcl wird gern zum Schreiben kleiner
grafischer Anwendungen benutzt, weil das Tk-Widget-Set eng damit
verknüpft ist.

%description -l fr.UTF-8
Tcl est un langage simple de script, conçu pour être intégré dans
d'autres applications. Ce paquetage contient tclsh, un exemple simple
d'application tcl. Tcl est très utilisé pour écrire de petites
applications graphiques grâce à l'ensemble de widgets Tk qui lui est
très lié.

%description -l ja.UTF-8
Tcl は他のアプリケーションに埋め込むためにデザインされた簡単なスクリプ
ト言語です。Tclはウィジッド・セットであるTkとともに用いるようにデザイン
しています。このパッケージにはTclの簡単な例として、tclsh
も含んでいます。

%description -l pl.UTF-8
Tcl jest prostym językiem skryptowym, przeznaczonym do współpracy z
innymi aplikacjami. W pakiecie znajduje się również tclsh - prosty
przykład programów. Tcl jest bardzo popularnym językiem do pisania
małych programów graficznych.

%description -l ru.UTF-8
Tcl - это простой интерпретируемый язык, предназначенный для
встраивания в другие программы. Этот пакет включает tclsh, простой
пример программы на tcl. Tcl очень популярен для написания небольших
графических программ из-за набора экранных примитивов Tk, который
очень тесно с ним связан.

%description -l tr.UTF-8
Tcl, başka uygulamaların içine gömülmesi hedeflenerek geliştirilmiş
basit bir betimleme dilidir. Bu paket basit bir Tcl uygulaması örneği
olan tclsh kabuğunu içerir. Tcl, kendisi ile sıkıca ilintili olan Tk
arayüz elemanı kümesinin de desteğiyle küçük grafik uygulamalar yazma
konusunda son derece yaygın kullanılmaktadır.

%description -l uk.UTF-8
Tcl - це проста інтерпретована мова, призначена для вбудови в інші
програми. Цей пакет містить також tclsh, простий приклад програми на
tcl. Tcl дуже популярний для написання простих графічних програм
завдяки набору екранних примітивів Tk, котрий з ним дуже тісно
зв'язаний.

%package devel
Summary:	Tool Command Language header files and development documentation
Summary(pl.UTF-8):	Pliki nagłówkowe oraz dokumentacja dla Tcl (Tool Command Language)
Group:		Development/Languages/Tcl
Requires:	%{name} = %{version}-%{release}

%description devel
Tool Command Language embeddable scripting language header files and
develpment documentation.

%description devel -l pl.UTF-8
Pliki nagłówkowe oraz dokumentacja dla Tcl (Tool Command Language).

%prep
%setup -q -n %{name}%{version}
%patch0 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
cd unix
sed -e "s/^CFLAGS_OPTIMIZE.*/CFLAGS_OPTIMIZE=%{rpmcflags} -D__NO_STRING_INLINES -D__NO_MATH_INLINES -D_REENTRANT/" \
	Makefile.in > Makefile.in.new
mv -f Makefile.in.new Makefile.in
%{__autoconf}
%configure \
	--enable-shared \
	--enable-threads \
	--enable-64bit \
	--enable-gcc
%{__make} \
	TCL_PACKAGE_PATH="%{_libdir} %{_libdir}/tcl%{major} %{_ulibdir} %{_ulibdir}/tcl%{major}"

sed -i -e "s#%{_builddir}/%{name}%{version}/unix#%{_libdir}#; \
	s#%{_builddir}/%{name}%{version}#%{_includedir}/tcl-private#" tclConfig.sh

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_prefix},%{_mandir}/man1}

%{__make} -C unix install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	TCL_PACKAGE_PATH="%{_libdir} %{_libdir}/tcl%{major} %{_ulibdir} %{_ulibdir}/tcl%{major}" \
	MAN_INSTALL_DIR=$RPM_BUILD_ROOT%{_mandir}

install -d $RPM_BUILD_ROOT%{_includedir}/%{name}-private/{generic,unix}
find generic unix -name "*.h" -exec cp -p '{}' $RPM_BUILD_ROOT%{_includedir}/%{name}-private/'{}' ';'
for h in $RPM_BUILD_ROOT%{_includedir}/*.h; do
        rh=$(basename "$h")
        if [ -f "$RPM_BUILD_ROOT%{_includedir}/%{name}-private/generic/$rh" ]; then
                ln -sf "../../$rh" $RPM_BUILD_ROOT%{_includedir}/%{name}-private/generic
        fi
done

ln -sf libtcl%{major}.so.0.0 $RPM_BUILD_ROOT%{_libdir}/libtcl.so
ln -sf libtcl%{major}.so.0.0 $RPM_BUILD_ROOT%{_libdir}/libtcl%{major}.so
mv -f $RPM_BUILD_ROOT%{_bindir}/tclsh%{major} $RPM_BUILD_ROOT%{_bindir}/tclsh

%{?have_ulibdir:mv $RPM_BUILD_ROOT%{_libdir}/tclConfig.sh $RPM_BUILD_ROOT%{_ulibdir}/tclConfig.sh}

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

install -d $RPM_BUILD_ROOT%{_libdir}/tcl%{major}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_libdir}/tcl%{major}
%{?have_ulibdir:%{_ulibdir}/tcl%{major}}
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_ulibdir}/tclConfig.sh
%{_libdir}/libtclstub%{major}.a
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*
%{_mandir}/man[3n]/*
%lang(pl) %{_mandir}/pl/mann/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tcl.spec,v $
Revision 1.95.2.9  2008/08/05 14:49:23  glen
- update to 8.4.19

Revision 1.95.2.8  2008/08/05 14:41:17  glen
- Drop Icon:, convert to utf8; adapter

Revision 1.95.2.7  2005/12/24 12:13:21  arekm
- up to 8.4.12

Revision 1.95.2.6  2005/09/17 19:41:12  arekm
- new readline, 5.0

Revision 1.95.2.5  2005/09/06 17:41:04  arekm
- fix paths in tclConfig.sh

Revision 1.95.2.4  2005/09/06 17:35:19  arekm
- rel 2; provide more complete internal headers set in includedir/tcl-private (tcl needs for example it's own regexp.h)

Revision 1.95.2.3  2005/07/03 22:43:29  arekm
- up for 8.4.11

Revision 1.95.2.2  2005/06/03 22:32:15  twittner
- removed buggy -readline.patch - pointed out by Tomasz Olszewski on
  pld-devel-pl - case test:
  % string toupper "ąęćśźżłdsgfsfgfds"
  ąęćśźżłDSGFSFGFDS
  without this patch tclsh works correctly:
  % string toupper "ąęćśźżłdsgfsfgfds"
  ĄĘĆŚŹŻŁDSGFSFGFDS
- rel. 3 STBR Ac

Revision 1.95.2.1  2005/05/16 20:26:18  qboosh
- one more fix in 64bit patch, release 2

Revision 1.95  2004/12/08 15:12:51  qboosh
- updated to 8.4.9, updated 64bit,mannames patches

Revision 1.94  2004/10/31 15:32:14  paladine
- spaces->tabs

Revision 1.93  2004/10/25 10:44:38  paladine
- "Tcl" and "Tk" unifications (and few others)

Revision 1.92  2004/10/03 12:28:28  havner
- rebuild with new binutils

Revision 1.91  2004/08/05 21:53:48  qboosh
- updated to 8.4.7, updated opt,ac25x patches

Revision 1.90  2004/07/01 11:35:21  djurban
- dont disable threads

Revision 1.89  2004/03/06 21:27:15  qboosh
- strict internal dep

Revision 1.88  2004/03/06 21:10:58  qboosh
- updated to 8.4.6
- changed the way of adding shlib version in soname_fix patch

Revision 1.87  2004/01/04 16:58:44  adgor
- Simplified

Revision 1.86  2004/01/04 16:26:20  adgor
- Finally fixed (i hope) %%{_ulibdir} problem - tx qboosh

Revision 1.85  2004/01/03 10:18:53  jajcus
- move files from _libdir to _ulibdir only if that are different directories

Revision 1.84  2004/01/02 18:06:14  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.83  2003/12/30 20:08:02  jajcus
- include both %{_libdir} and %{_ulibdir} in PACKAGE_PATH so platform-dependant tcl packages could be loaded properly on AMD64

Revision 1.82  2003/12/25 16:05:30  jajcus
- tclConfig.sh moved to /usr/lib

Revision 1.81  2003/12/19 18:19:34  jajcus
- fixed build on AMD64 %{_ulibdir} macro which is always /usr/lib (scripts are installed there)

Revision 1.80  2003/11/26 08:57:21  qboosh
- updated to 8.4.5 (bugfix release)

Revision 1.79  2003/08/25 20:34:17  mmazur
- rel 2 for ac

Revision 1.78  2003/07/31 12:48:00  wiget
- updated to 8.4.4

Revision 1.77  2003/07/21 20:23:30  grzegol
- reverted last change

Revision 1.76  2003/07/21 20:12:36  grzegol
- added tcl.m4 to -devel
- rel. 0.4

Revision 1.75  2003/07/01 06:48:34  wiget
- rebuild

Revision 1.74  2003/06/17 19:15:52  qboosh
- added norpath patch, release 0.2

Revision 1.73  2003/06/11 20:42:53  qboosh
- finished mannames patch (now it obsoletes manlnk patch)
- removed obsolete tmpfix,manlnk,system_encoding patches

Revision 1.72  2003/06/11 06:25:05  wiget
- cosmetic

Revision 1.71  2003/06/09 21:34:56  wiget
- first try to 8.4.3

Revision 1.70  2003/06/05 15:28:55  wiget
- fixed soname patch
- release 10

Revision 1.69  2003/05/26 18:23:36  agaran
Source[01]-md5

Revision 1.68  2003/05/25 06:27:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.67  2003/05/20 12:08:56  misi3k
- readded soname patch, rel up

Revision 1.66  2003/05/20 05:32:06  misi3k
- removed soname patch, bad idea, rel down

Revision 1.65  2003/05/16 17:35:56  misi3k
- rel 9
- added SONAME patch

Revision 1.64  2003/04/05 22:18:04  qboosh
- added mannames patch: use man page names as filenames - this prevents
  conflict with lesstif (and more potentian conflicts)
- fixed overcomplicated (and broken) manlnk patch
- release 8

Revision 1.63  2003/01/11 11:51:55  jajcus
- Release: 7
- patch for proper system encoding detection

Revision 1.62  2002/10/30 08:56:49  kloczek
- release 6.

Revision 1.61  2002/10/29 22:16:35  filon
- changed optflags to rpmcflags, it is needed for debug builds

Revision 1.60  2002/07/03 16:25:19  dobrek
- extended sc25 patch. TCL now builds. (STBR)
- Revision number set to 5

Revision 1.59  2002/06/27 20:06:34  qboosh
- added ac25x patch needed for autoconf 2.53

Revision 1.58  2002/06/22 23:00:03  kloczek
- release 4: merge translations from KONDRA and KSI.

Revision 1.57  2002/05/21 23:14:48  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.56  2002/02/23 04:49:03  kloczek
- adapterized.

Revision 1.55  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.54  2002/01/18 02:15:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.53  2001/11/25 20:04:51  ankry
- add more pl man pages
- release 3

Revision 1.52  2001/11/19 22:14:22  ankry
- added pl man page
- release 2

Revision 1.51  2001/10/24 10:15:19  mkierus
- updated to 8.3.4

Revision 1.50  2001/10/11 14:31:53  qboosh
- BuildRequires: autoconf

Revision 1.49  2001/06/17 08:57:32  jajcus
- Version: 8.3.3
- removed ieee patch (doesn't seem to be needed now)
- updated headers_fix.patch
- thread support turned off (some Tk apps won't work well with this)

Revision 1.48  2001/04/13 00:34:46  kloczek
- release 52: rebuild against readline 4.2.

Revision 1.47  2001/04/05 23:38:33  misiek
release 51; threads and 64bit enabled

Revision 1.46  2000/12/14 16:36:18  baggins
- release 50
- added opt patch
- use RPM_OPT_FLAGS

Revision 1.45  2000/11/12 21:48:52  kloczek
- release 49 (for allow upgrade from RH),
- spec adapterized.

Revision 1.44  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.43  2000/10/10 16:21:09  wiget
more header in devel

Revision 1.42  2000/10/07 07:26:03  pascalek
- updated to 8.3.2
- gzipping and stripping removed

Revision 1.41  2000/07/13 23:22:57  baggins
- release 37
- rebuild with ncurses 5.1

Revision 1.40  2000/06/13 19:02:33  kloczek
- spec adapterized.

Revision 1.39  2000/06/12 14:09:47  baggins
- release 36
- added autoconf fix

Revision 1.38  2000/06/09 07:55:12  kloczek
- more %%{__make} macros.

Revision 1.37  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.36  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.35  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.34  2000/03/23 12:19:47  kloczek
- release 35,
- added sigpwr patch (fix for compile on systems where SIGPWR == SIGLOST).

Revision 1.33  2000/03/23 12:13:53  kloczek
- release 33,
- build against readline 4.1.

Revision 1.32  1999/11/16 17:19:20  kloczek
- release 32,
- build against ncurses 5.0.

Revision 1.31  1999/09/05 23:21:15  kloczek
- typo.

Revision 1.30  1999/09/05 22:58:53  kloczek
- release 31,
- added using %%configure macro,
- additional header files to install (headers_fix patch),
- --strip-unneeded on stripping shared libraries.

Revision 1.29  1999/07/28 14:47:10  kloczek
- release to 3.

Revision 1.28  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.27  1999/07/16 14:57:15  baggins
- remove previous change

Revision 1.26  1999/07/16 14:47:09  baggins
- small fix

Revision 1.25  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).
